<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
SetProgressRange Method (IEdmTaskInstance)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmTaskInstance Interface : SetProgressRange Method (IEdmTaskInstance)

Visual Basic
C#
C++/CLI

lMax
  Maximum position in the progress bar

lPos
  0 <= Current position in the progress bar <= lMax

bsDocStr
  Description of what the add-in is currently doing

Sets the range of the progress bar for the execution of this task instance.

# Syntax

Visual Basic |
--- | ---

    Sub SetProgressRange( _
       ByVal lMax As System.Integer, _
       ByVal lPos As System.Integer, _
       ByVal bsDocStr As System.String _
    )

C# |
--- | ---

    void SetProgressRange(
       System.int lMax,
       System.int lPos,
       System.string bsDocStr
    )

C++/CLI |
--- | ---

    void SetProgressRange(
    &   System.int lMax,
    &   System.int lPos,
    &   System.String^ bsDocStr
    )

#### Parameters

lMax
  Maximum position in the progress bar
lPos
  0 <= Current position in the progress bar <= lMax
bsDocStr
  Description of what the add-in is currently doing

# Example

See the examples in IEdmTaskInstance.

# Remarks

The task add-in calls this method at the start of processing of the hook, EdmCmdType.EdmCmd.TaskRun, to initialize the task list progress bar in the task list window of the PDM Administration tool.

The task add-in calls IEdmTaskInstance::SetProgressPos periodically during processing of the hook, EdmCmdType.EdmCmd.TaskRun, to update the progress bar.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmTaskInstance Interface
IEdmTaskInstance Members

# Availability

SOLIDWORKS PDM Professional 2010